# -*- coding: utf-8 -*-

import unittest

from vcolorcombobox_ import TestVColorComboBox
from vlineedit_ import TestVLineEdit
from vtoolheader_ import TestVToolHeader

def run_unit_tests():
    suite = unittest.TestSuite()
    suite.addTest(unittest.defaultTestLoader.loadTestsFromTestCase(TestVColorComboBox))
    suite.addTest(unittest.defaultTestLoader.loadTestsFromTestCase(TestVLineEdit))
    suite.addTest(unittest.defaultTestLoader.loadTestsFromTestCase(TestVToolHeader))
    return unittest.TextTestRunner(verbosity=2).run(suite)


if __name__ == '__main__':
    run_unit_tests()
