
# setup.py
# This file is part of Oqapy serie 3

from distutils.core import setup, Extension
setup(name="_liboqapy", version="0.2.0", maintainer="Vincent Vande Vyvre",
      maintainer_email="vincent.vandevyvre@oqapy.eu", url="www.oqapy.eu",
      ext_modules=[
         Extension("_liboqapy", ["liboqapymodule.c"], 
                   libraries=["m", "tiff", "jpeg", "lzma", "jbig", "lz"],
                   extra_compile_args=['-fno-stack-protector'])
         ])
